import { PromptedOptions } from '../../types.js';
import 'zod';
import '../../codes.js';

declare function createOptionDefaults(promptedOptions?: PromptedOptions): {
    logo: () => Promise<string | undefined>;
    title: () => Promise<string | undefined>;
    guide: () => Promise<string | undefined>;
    guideTitle: () => Promise<string | undefined>;
    author: () => Promise<string>;
    bin: () => Promise<string | undefined>;
    description: () => Promise<string | undefined>;
    email: () => Promise<{
        github: string;
        npm: string;
    } | undefined>;
    funding: () => Promise<string | undefined>;
    owner: () => Promise<string | undefined>;
    repository: () => Promise<string | undefined>;
};

export { createOptionDefaults };
