import fs from "node:fs/promises";
import { EOL } from "node:os";
import { readFileSafe } from "../shared/readFileSafe.js";
const endOfReadmeTemplateLine = `> \u{1F499} This package was templated with [\`create-typescript-app\`](https://github.com/JoshuaKGoldberg/create-typescript-app).`;
const endOfReadmeNotice = [
  ``,
  `<!-- You can remove this notice if you don't want it \u{1F642} no worries! -->`,
  ``,
  endOfReadmeTemplateLine,
  ``
].join(EOL);
const endOfReadmeMatcher = /💙.+(?:based|built|templated).+(?:from|using|on|with).+create-typescript-app/;
async function updateReadme(options) {
  let contents = await readFileSafe("./README.md", "");
  contents = contents.replaceAll("JoshuaKGoldberg", options.owner);
  if (!endOfReadmeMatcher.test(contents)) {
    contents += endOfReadmeNotice;
  }
  await fs.writeFile("./README.md", contents);
}
export {
  endOfReadmeMatcher,
  endOfReadmeNotice,
  endOfReadmeTemplateLine,
  updateReadme
};
//# sourceMappingURL=updateReadme.js.map